#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(snd_usbmidi_disconnect, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_stop, "", "");
KSYMTAB_FUNC(snd_usbmidi_input_start, "", "");
KSYMTAB_FUNC(snd_usbmidi_suspend, "", "");
KSYMTAB_FUNC(snd_usbmidi_resume, "", "");
KSYMTAB_FUNC(__snd_usbmidi_create, "", "");

SYMBOL_CRC(snd_usbmidi_disconnect, 0xd9d2bb03, "");
SYMBOL_CRC(snd_usbmidi_input_stop, 0x63343b1d, "");
SYMBOL_CRC(snd_usbmidi_input_start, 0x16756dc0, "");
SYMBOL_CRC(snd_usbmidi_suspend, 0xbed43a41, "");
SYMBOL_CRC(snd_usbmidi_resume, 0xb2af19e1, "");
SYMBOL_CRC(__snd_usbmidi_create, 0xaae7c9a6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5f7c1c69, "usb_alloc_urb" },
	{ 0xab379ff8, "snd_rawmidi_receive" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xff9134f5, "usb_free_urb" },
	{ 0xfd070c91, "snd_rawmidi_transmit" },
	{ 0x57674fd7, "__sw_hweight16" },
	{ 0x63d12585, "snd_ctl_add" },
	{ 0x81b77da9, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x4829a47e, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x809a1445, "usb_autopm_get_interface_no_resume" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xeae5d4f4, "snd_ctl_new1" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5fa713d1, "usb_bulk_msg" },
	{ 0xa916b694, "strnlen" },
	{ 0x3204dd45, "snd_rawmidi_transmit_ack" },
	{ 0xbd8a25f5, "usb_submit_urb" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x55dcaeb2, "usb_urb_ep_type_check" },
	{ 0x57bc19d2, "down_write" },
	{ 0xd1005013, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xf5028c9b, "usb_free_coherent" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x3193b28d, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4be66af9, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x5d8bab8d, "snd_ctl_notify" },
	{ 0x6fb8b5e5, "usb_set_interface" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x32ecbe5b, "usb_string" },
	{ 0xdcb764ad, "memset" },
	{ 0x7ebc429e, "_dev_warn" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x668b19a1, "down_read" },
	{ 0x9ea7a419, "snd_rawmidi_new" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x96daf16d, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x75cf38eb, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x53b954a2, "up_read" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x64cc6803, "snd_rawmidi_proceed" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "snd-rawmidi,snd");

